
%How to make batch scripts.  Sec 1 is there for your reference, please do
%not edit it.

%To add jobs to the batch, add additional entries to the data struct as
%shown below.  The fields bound, exp, liDist, and mtxGen should be cells.
%You can make multiple selections by putting multiple choices in the cells.

%In the code, I compare the strings in bound, exp, liDist, and mtxGen to
%the strings inside the kappa_SQ_v3 program.  I do it this way because I think the
%chance of the user accidentally selecting the wrong plot is smaller.

%To run the batch



%%% SEC 1 %%% (don't edit this section)
bnd{1} = 'Theorem 5.2';
bnd{2} = 'Theorem 4.1';

samp{1} = 'Bernoulli Sampling (Alg 3.3, old_Alg 3)';
samp{2} = 'Exactly(c) Uniform sampling with replacement (Alg 3.2, old_Alg 2)';
samp{3} = 'Uniform sampling without replacement (Alg 3.1)';
    
mtxGen{1} = 'Matrix Generation Alg 6.1';
mtxGen{2} = 'From File';

liDist{1} = 'One large leverage score (Alg 6.2)';
liDist{2} = 'Many zero leverage scores (Alg 6.3)';
liDist{3} = 'From File';

%%% Sec 2 %%% (edit this section)
clear data
%first job

%Use an empty string to not give a value.
data(1).m = '64';  %A string defining the m value
data(1).n = '2';  %A string defining the n value
data(1).c = 'evenPoints(n,floor(m/5),30)';  %A string defining the c value
data(1).mu = 'n/m';  %A string defining the mu value
data(1).runs = '30';  %A string defining the runs value
data(1).delta = '.99';  %A string defining the delta value
data(1).bound = {bnd{1}};   %A cell of strings defining the bounds to be run, EX: bnd([1,3:5])
data(1).exp = samp(2);    %A cell of strings defining the sampling methods to be run, EX: samp([2,4:5])
data(1).liDist = liDist(1);  %A cell containing one value that defines the leverage score distribution
data(1).mtxGen = mtxGen(1);  %A cell containing one value that defines the matrix generation method
data(1).confInterval = false;  %A boolean variable defining whether or not to also plot the confidence intervals
data(1).impConfInterval = false;  %A boolean variable defining whether or not to used the improved confidence interval idea.  If you don't know what this is, please set it to false.
data(1).fileName = 'chr1to3_parts1to10_replaceOption2_meanCenter.mat'; %A string defining what file should be loaded
data(1).fileVarName='A'; %A string defining the variable inside of the file that should be used
data(1).plotSaveType='fig'; %A string what format to save the plotfigures as
data(1).plot1SaveName=[data(1).fileName(1:end-4),'_batch',num2str(length(data)),'b_plot1']; %A string defining the savename of figure 1.  Use an empty string to not save.
data(1).plot2SaveName=[data(1).fileName(1:end-4),'_batch',num2str(length(data)),'b_plot2']; %A string defining the savename of figure 2.  Use an empty string to not save.
data(1).plot3SaveName=''; %A string defining the savename of figure 3.  Use an empty string to not save.
data(1).saveData=true;%A boolean value that determines whether or not we save the plot data.  The save name will be determined by kappa_SQ based on the time the computations are completed.
%A boolean value that determines whether or not we will run the beautify plots script.
data(1).scriptToRun = 'myBeautifyScript';


%next job



data(end+1).m = '64';
data(end).n = '2';
data(end).c = 'evenPoints(n,floor(m),30)';
data(end).mu = 'n/m';
data(end).runs = '30';
data(end).delta = '.99';
data(end).bound = {bnd{1}};
data(end).exp = samp(2);
data(end).liDist = liDist(2);
data(end).mtxGen = mtxGen(1);
data(end).confInterval = false;
data(end).impConfInterval = false;
data(end).fileName = 'chr1to3_parts1to10_replaceOption2_meanCenter.mat';
data(end).fileVarName='A';
data(end).plotSaveType='fig';
data(end).plot1SaveName=[data(end).fileName(1:end-4),'_batch',num2str(length(data)),'_plot1'];
data(end).plot2SaveName=[data(end).fileName(1:end-4),'_batch',num2str(length(data)),'_plot2'];
data(end).plot3SaveName='';
data(end).saveData=true;
%A boolean value that determines whether or not we will run the beautify plots script.
data(end).scriptToRun = 'myBeautifyScript';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
%Make more plots below by defining more entries to the data struct
















