function [ pts ] = evenPoints( n,m,p )
%EVENPOINTS Returns a vector of logarithmically distributed integers without repeats.
%
%   [ pts ] = evenPoints( n,m,p ) returns a vector of <= p logarithmically
%     distributed integers starting with n and ending with m.  No repeated
%     integers will be returned.

pts=unique(round(logspace(log10(n),log10(m),p)));

end

