function [ li ] = exampleliDist( m,n,mu )
%EXAMPLELIDIST Returns a leverage score distribution for a m by n matrix
%with coherence mu.
%
%   li = liDist_manyBig( m, n, mu ) Returns a leverage score distribution with
%     many large leverage scores for a m by n matrix with coherence mu.
%
%   li = liDist_manyBig( 'info' ) will return data about this leverage score
%     distribution function, including what what inputs it needs.

if nargin==1
    if strcmp(m,'info');
        li=struct;
        li.plotName='Short name of leverage score distribution (for plot)';
        li.name='Long name of leverage score distribution';
        li.inputsNeeded.m=1;
        li.inputsNeeded.n=1;
        li.inputsNeeded.c=0;
        li.inputsNeeded.mu=1;
        li.inputsNeeded.delta=0;
        li.inputsNeeded.li=0;
        li.inputsNeeded.Q=0;
        li.type='liDist';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=3
    error('Wrong number of inputs.')
end

%CODE FOR COMPUTATION OF LEVERAGE SCORE DISTRIBUTION GOES HERE


end

