
function varargout = kappa_SQ_v3(varargin)
% KAPPA_SQ_V3 M-file for kappa_SQ_v3.fig: Execute Kappa_SQ_v3.m to start
% the package.
%
%  The subfunctions in this file are designed to collect all of the user
%  input data.  Once all user data is entered and the user clicks on plot,
%  the subfunction plotButton_Callback will execute the script
%  "plotScript.m" (located in the folder "PRIVATE") wich will do all of the
%  work.
%
%      KAPPA_SQ_V3, by itself, creates a new KAPPA_SQ_V3 or raises the existing
%      singleton*.
%
%      H = KAPPA_SQ_V3 returns the handle to a new KAPPA_SQ_V3 or the handle to
%      the existing singleton*.
%
%      KAPPA_SQ_V3('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in KAPPA_SQ_V3.M with the given input arguments.
%
%      KAPPA_SQ_V3('Property','Value',...) creates a new KAPPA_SQ_V3 or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before kappa_SQ_v3_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to kappa_SQ_v3_OpeningFcn via varargin.
%
%  In each subfunction:
%      hObject    handle to current object (see GCBO)
%      eventdata  reserved - to be defined in a future version of MATLAB
%      handles    structure with handles and user data (see GUIDATA)
%
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help kappa_SQ_v3

% Last Modified by GUIDE v2.5 16-May-2013 21:21:32

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @kappa_SQ_v3_OpeningFcn, ...
    'gui_OutputFcn',  @kappa_SQ_v3_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT

% --- Executes just before kappa_SQ_v3 is made visible.
function kappa_SQ_v3_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure

% varargin   command line arguments to kappa_SQ_v3 (see VARARGIN)

% Choose default command line output for kappa_SQ_v3
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% --- Outputs from this function are returned to the command line.
function varargout = kappa_SQ_v3_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure

% Get default command line output from handles structure
varargout{1} = handles.output;


%%%%%%%%%%%%%%%%%%%%%%%%%%
%    CREATE FUNCTIONS    %
%%%%%%%%%%%%%%%%%%%%%%%%%%

function boundListbox_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

fnFileNames=extensionRemover(getFileFolder( '', 'file', {'Bound','.m'}, {'From File', '.m~', 'Sample', 'mtxGen', 'liDist'}, 0 ));%returns files with the string "Bound" in their name and not 'From File'

list=cell(length(fnFileNames),1);
goodFiles=true(1,length(fnFileNames));
for i=1:length(fnFileNames)
    try
        tmp=eval([fnFileNames{i},'(''info'')']);%get descriptive name from function
        if strcmp(tmp.type,'Bound')
            list{i}=tmp.name;
        else
            goodFiles(i)=false;
        end
    catch
        goodFiles(i)=false;
    end
end
fnFileNames=fnFileNames(goodFiles);
list=list(goodFiles);
[fnFileNames, list] = moveOldToEndOfList(fnFileNames, list);
set(hObject,'String',list);
handles.boundFlNm=fnFileNames;
guidata(hObject,handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function experimentListbox_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

set(hObject,'Value',[])
fnFileNames=extensionRemover(getFileFolder( '', 'file', {'Sample','.m'}, {'From File', '.m~', 'Bound', 'mtxGen', 'liDist'}, 0 ));
list=cell(length(fnFileNames),1);
handles.bounds=list;
handles.chosenBounds=cell(0);
goodFiles=true(1,length(fnFileNames));
for i=1:length(fnFileNames)
    try
        tmp=eval([fnFileNames{i},'(''info'')']);
        if strcmp(tmp.type,'Sample')
            list{i}=tmp.name;
        else
            goodFiles(i)=false;
        end
    catch
        goodFiles(i)=false;
    end
end
fnFileNames=fnFileNames(goodFiles);
list=list(goodFiles);
[fnFileNames, list] = moveOldToEndOfList(fnFileNames, list);
set(hObject,'String',list);
handles.expFlNm=fnFileNames;
guidata(hObject,handles)


if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function mtxGenInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

fnFileNames=extensionRemover(getFileFolder( '', 'file', {'mtxGen','.m'}, {'From File', '.m~', 'Bound', 'Sample', 'liDist'}, 0 ));

list=cell(length(fnFileNames),1);
fnFileNames{end+1}='From File';
list{end+1}='From File';
handles.bounds=list;
handles.chosenBounds=cell(0);
goodFiles=true(1,length(list));
for i=1:length(fnFileNames)-1
    try
        tmp=eval([fnFileNames{i},'(''info'')']);
        if strcmp(tmp.type,'mtxGen')
            list{i}=tmp.name;
        else
            goodFiles(i)=false;
        end
    catch
        goodFiles(i)=false;
    end
end
fnFileNames=fnFileNames(goodFiles);
list=list(goodFiles);
[fnFileNames, list] = moveOldToEndOfList(fnFileNames, list);
set(hObject,'String',list);
handles.mtxGenFlNm=fnFileNames;
guidata(hObject,handles)


if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function liDistInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

fnFileNames=extensionRemover(getFileFolder( '', 'file', {'liDist','.m'}, {'From File', '.m~', 'Bound', 'Sample', 'mtxGen'}, 0 ));

list=cell(length(fnFileNames),1);
list{end+1}='From File';
fnFileNames{end+1}='From File';
goodFiles=true(1,length(list));
for i=1:length(fnFileNames)-1
    try
        tmp=eval([fnFileNames{i},'(''info'')']);
        if strcmp(tmp.type,'liDist')
            list{i}=tmp.name;
        else
            goodFiles(i)=false;
        end
    catch
        goodFiles(i)=false;
    end
end
fnFileNames=fnFileNames(goodFiles);
list=list(goodFiles);
[fnFileNames, list] = moveOldToEndOfList(fnFileNames, list);
set(hObject,'String',list);

handles.liDistFlNm=fnFileNames;

guidata(hObject,handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function matFileListbox_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

fnFileNames=getFileFolder( '', 'file', {'.mat'}, {'From File', '.m~', 'kappa_SQ_datafile_','kappa_SQ_errorDump_' }, 0 );
if isempty(fnFileNames)
    set(hObject,'String','No Files Detected')
else
    set(hObject,'String',fnFileNames);
end
handles.matFlNm=fnFileNames;
guidata(hObject,handles)


if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function mInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    m='10^4';
    load('.previousValues.mat');
    m;
catch
    m='10^4';
    try
        save('.previousValues.mat','m','-append');
    catch
        save('.previousValues.mat','m');
    end
end
set(hObject,'String',m);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function nInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    n='4';
    load('.previousValues.mat');
    n;
catch
    n='4';
    try
        save('.previousValues.mat','n','-append');
    catch
        save('.previousValues.mat','n');
    end
end
set(hObject,'String',n);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function cInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    c='n:m';
    load('.previousValues.mat');
    c;
catch
    c='n:m';
    try
        save('.previousValues.mat','c','-append');
    catch
        save('.previousValues.mat','c');
    end
end
set(hObject,'String',c);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function muInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    mu='n/m';
    load('.previousValues.mat');
catch
    mu='n/m';
    try
        save('.previousValues.mat','mu','-append');
    catch
        save('.previousValues.mat','mu');
    end
end
set(hObject,'String',mu);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function deltaInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    delta='.01';
    load('.previousValues.mat');
    delta;
catch
    delta='.01';
    try
        save('.previousValues.mat','delta','-append');
    catch
        save('.previousValues.mat','delta');
    end
end
set(hObject,'String',delta);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function runsInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    runs='3';
    load('.previousValues.mat');
    runs;
catch
    runs='3';
    try
        save('.previousValues.mat','runs','-append');
    catch
        save('.previousValues.mat','runs');
    end
end
set(hObject,'String',runs);

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function varNameInput_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

try
    varName='A';
    load('.previousValues.mat');
    varName;
catch
    varName='A';
    try
        save('.previousValues.mat','varNAme','-append');
    catch
        save('.previousValues.mat','varName');
    end
end
set(hObject,'String',varName);
% Hint: edit controls usually have a white bactrykground on Windows.

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function failConfidenceInput_CreateFcn(hObject, eventdata, handles)

try
    conf='.95';
    load('.previousValues.mat');
    conf;
catch
    conf='.95';
    try
        save('.previousValues.mat','conf','-append');
    catch
        save('.previousValues.mat','conf');
    end
end
set(hObject,'String',conf);


if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function plotConfIntChk_CreateFcn(hObject, eventdata, handles)
try
    pltConf=0;
    load('.previousValues.mat');
    pltConf;
catch
    pltConf=0;
    try
        save('.previousValues.mat','pltConf','-append');
    catch
        save('.previousValues.mat','pltConf');
    end
end
set(hObject,'Value',pltConf);

function impConfCheckBox_CreateFcn(hObject, eventdata, handles)
try
    impPltConf=0;
    load('.previousValues.mat');
    impPltConf;
catch
    impPltConf=0;
    try
        save('.previousValues.mat','impPltConf','-append');
    catch
        save('.previousValues.mat','impPltConf');
    end
end
set(hObject,'Value',impPltConf);

%%%%%%%%%%%%%%%%%%%%%%%%%%
%   CALLBACK FUNCTIONS   %
%%%%%%%%%%%%%%%%%%%%%%%%%%

function boundListbox_Callback(hObject, eventdata, handles)

[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );

setVisibilitiesAndEnables;

guidata(hObject,handles)

function experimentListbox_Callback(hObject, eventdata, handles)

[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );

setVisibilitiesAndEnables;

guidata(hObject,handles)

function mInput_Callback(hObject, eventdata, handles)

m=get(hObject,'String');
save('.previousValues.mat','m','-append');

function nInput_Callback(hObject, eventdata, handles)

n=get(hObject,'String');
save('.previousValues.mat','n','-append');

function cInput_Callback(hObject, eventdata, handles)

c=get(hObject,'String');
save('.previousValues.mat','c','-append');

function muInput_Callback(hObject, eventdata, handles)

mu=get(hObject,'String');
save('.previousValues.mat','mu','-append');

function deltaInput_Callback(hObject, eventdata, handles)

delta=get(hObject,'String');
save('.previousValues.mat','delta','-append');

function runsInput_Callback(hObject, eventdata, handles)

runs=get(hObject,'String');
save('.previousValues.mat','runs','-append');

function failConfidenceInput_Callback(hObject, eventdata, handles)
conf=get(hObject,'String');
save('.previousValues.mat','conf','-append');

function mtxGenInput_Callback(hObject, eventdata, handles)





list=get(hObject,'String');
if strcmp(list{get(hObject,'Value')},'From File')
    set(handles.liDistInput,'Value',length(get(handles.liDistInput,'String'))); %choose from file
else
    set(handles.liDistInput,'Value',1);
end

[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );

if handles.fromFileYN
    matFileListbox_Callback(handles.matFileListbox, eventdata, handles) %make sure that we load things if they appear.
end
setVisibilitiesAndEnables;
guidata(hObject,handles)

function [anyErrors, seriousError] = plotButton_Callback(hObject, eventdata, handles)
set(hObject,'Enable','off')%turn plot button off
%turn off other stuff
set(handles.prettyPlots,'Enable','off')
set(handles.deltaInput,'Enable','off')
set(handles.boundListbox,'Enable','off')
set(handles.nInput,'Enable','off')
set(handles.mInput,'Enable','off')
set(handles.cInput,'Enable','off')
set(handles.varNameInput,'Enable','off')
set(handles.runsInput,'Enable','off')
set(handles.muInput,'Enable','off')
set(handles.liDistInput,'Enable','off')
set(handles.batchButton,'Enable','off')
set(handles.experimentListbox,'Enable','off')
set(handles.mtxGenInput,'Enable','off')
set(handles.matFileListbox,'Enable','off')

curMessage=get(handles.warningBox,'String');
if ~strcmp(curMessage(1:min(end,17)),'Running batch job') 
    set(handles.warningBox,'String',' ')
end
guidata(hObject,handles)
seriousError=true; %this determines how we handle errors
anyErrors=true;%This tells us if any error has occured.  It is used for batch scripts
try
    plotScript;
    anyErrors=false;
catch kappa_SQ_error
    set(handles.warningBox,'String',kappa_SQ_error.message)
    
    if seriousError  %only do all of this if a serious error occurs
        disp('An error occured in the kappa_SQ package!')
        try
            pause(.001);%The almost always ensures that our filename isn't used
            saveName=['kappa_SQ_errorDump_',datestr(now, 'HH.MM.SS.FFF_dd.mm.yyyy'),'.mat'];
            save(saveName);
            disp(['An error dump named ',saveName,' has been created.'])
        catch ME
            disp('Error dump file creation failed!')
            disp('--- Error dump file creation error ---')
            warning(ME.getReport)
            disp('--------------------------------------')
        end
        
        
        assignin('base','kappa_SQ_error',kappa_SQ_error)  %send error to workspace
        
        disp(['The workspace variable kappa_SQ_error contains the standard MException object for this error.',char(10)])
        
        warning(kappa_SQ_error.getReport)%display error report
    end
end
set(hObject,'Enable','on')%turn plot button on
[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );% In case this hasn not yet been run
setVisibilitiesAndEnables; %turn stuff back on
guidata(hObject,handles)

function prettyPlots_Callback(hObject, eventdata, handles)
beautifyPlots_gui;

function matFileListbox_Callback(hObject, eventdata, handles)

if isempty(get(handles.varNameInput,'String'))
    set(handles.warningBox,'String','Please Input the name of your Variable')
    set(handles.mInput,'String','???')
    set(handles.nInput,'String','???')
    set(handles.plotButton,'Enable','off')
    guidata(hObject,handles)
    return
end

try
    flCell=get(hObject,'String');
    fln=flCell{get(hObject,'Value')};
    fileDetails=whos('-file',fln);
    if length(fileDetails)==1 && strcmp(fileDetails.class,'double')
        set(handles.varNameInput,'String',fileDetails.name)
        i=1;
        fnd=true;
        set(handles.warningBox,'String',['File contains only 1 variable.  Variable name set to ''',fileDetails.name,'''.'])
    else
        fnd=false;
        for i=1:length(fileDetails)
            if strcmp(fileDetails(i).name,get(handles.varNameInput,'String'))
                fnd=true;
                break;
            end
        end
    end
    
    if fnd %the matrix was found
        sze=fileDetails(i).size;
        set(handles.mInput,'String',num2str(sze(1)))
        set(handles.nInput,'String',num2str(sze(2)))
        set(handles.warningBox,'String','')
        set(handles.plotButton,'Enable','on')
    else
        set(handles.warningBox,'String',['Warning: Variable ''' get(handles.varNameInput,'String'),''' not found.  Please change variable name.'])
        set(handles.mInput,'String','???')
        set(handles.nInput,'String','???')
        set(handles.plotButton,'Enable','off')
    end
catch
    set(handles.warningBox,'String','Warning: Error loading from file')
    set(handles.mInput,'String','???')
    set(handles.nInput,'String','???')
    set(handles.plotButton,'Enable','off')
end
guidata(hObject,handles)

function liDistInput_Callback(hObject, eventdata, handles)
% hObject    handle to liDistInput (see GCBO)



list=get(hObject,'String');
if strcmp(list{get(hObject,'Value')},'From File')
    set(handles.mtxGenInput,'Value',length(get(handles.mtxGenInput,'String'))); %choose from file
else
    set(handles.mtxGenInput,'Value',1); %choose from file
end
[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );
setVisibilitiesAndEnables;
guidata(hObject,handles)

function varNameInput_Callback(hObject, eventdata, handles)
% hObject    handle to varNameInput (see GCBO)

matFileListbox_Callback(handles.matFileListbox, eventdata, handles) %check to see if varName is there

function batchButton_Callback(hObject, eventdata, handles)
% handles    structure with handles and user data (see GUIDATA)

batchScript;
for i=1:length(data)
    set(handles.boundListbox,'Value',getEntries(get(handles.boundListbox,'String'),data(i).bound))
    boundListbox_Callback(handles.boundListbox, eventdata, handles)
    set(handles.experimentListbox,'Value',getEntries(get(handles.experimentListbox,'String'),data(i).exp))
    experimentListbox_Callback(handles.experimentListbox, eventdata, handles)
    if data(i).confInterval 
        set(handles.plotConfIntChk,'Value',1)
    else
        set(handles.plotConfIntChk,'Value',0)
    end
    if data(i).impConfInterval
        set(handles.impConfCheckBox,'Value',1)
    else
        set(handles.impConfCheckBox,'Value',0)
    end
    if strcmp('on',get(handles.liDistInput, 'Visible'))
        set(handles.liDistInput,'Value',getEntries(get(handles.liDistInput,'String'),data(i).liDist))
        liDistInput_Callback(handles.liDistInput, eventdata, handles)
    end
    if strcmp('on',get(handles.mtxGenInput, 'Visible'))
        set(handles.mtxGenInput,'Value',getEntries(get(handles.mtxGenInput,'String'),data(i).mtxGen))
        mtxGenInput_Callback(handles.mtxGenInput, eventdata, handles)
    end
    if strcmp('on',get(handles.matFileListbox, 'Visible'))
        set(handles.matFileListbox,'Value',getEntries(get(handles.matFileListbox,'String'),data(i).fileName))
        matFileListbox_Callback(handles.matFileListbox, eventdata, handles)
        set(handles.varNameInput,'String',data(i).fileVarName)
        varNameInput_Callback(handles.varNameInput, eventdata, handles)
    end
    if strcmp('on',get(handles.mInput, 'Visible'))
        set(handles.mInput,'String',data(i).m)
    end
    if strcmp('on',get(handles.nInput, 'Visible'))
        set(handles.nInput,'String',data(i).n)
    end
    if strcmp('on',get(handles.cInput, 'Visible'))
        set(handles.cInput,'String',data(i).c)
    end
    if strcmp('on',get(handles.muInput, 'Visible'))
        set(handles.muInput,'String',data(i).mu)
    end
    if strcmp('on',get(handles.runsInput,'Visible'))
        set(handles.runsInput,'String',data(i).runs)
    end
    if strcmp('on',get(handles.deltaInput,'Visible'))
        set(handles.deltaInput,'String',data(i).delta)
    end
    
    if data(i).saveData
        set(handles.saveCheckbox,'Value',1)
    else
        set(handles.saveCheckbox,'Value',0)
    end
    drawnow;
    set(handles.warningBox,'String',['Running batch job ',num2str(i),' of ',num2str(length(data)),'.'])
    [anyErrors, seriousError] = plotButton_Callback(handles.plotButton, eventdata, handles);
    
    if anyErrors
        if ~seriousError
            warndlg(['Errors occured for data(',num2str(i),'), possibly bad inputs.  Check batchScript.m.'])
            disp(['Errors occured for data(',num2str(i),'), possibly bad inputs.  Check batchScript.m.'])
        else
            warndlg(['Errors occured for data(',num2str(i),').  See command window for information.'])
            disp(['Errors occured for data(',num2str(i),').  See command window for information.'])
        end
        continue;%skip to the next one
    end
    if ~isempty(data(i).scriptToRun)
        eval(data(i).scriptToRun);
    end
    
    if ~isempty(data(i).plot1SaveName)
        saveas(1, data(i).plot1SaveName,data(i).plotSaveType)
    end
    if ~isempty(data(i).plot2SaveName)
        saveas(2, data(i).plot2SaveName,data(i).plotSaveType)
    end
    if ~isempty(data(i).plot3SaveName)
        saveas(3, data(i).plot3SaveName,data(i).plotSaveType)
    end
    %%%
    set(handles.boundListbox,'Value',[])%reset some values
    set(handles.experimentListbox,'Value',[])
    set(handles.liDistInput,'Value',1)
    set(handles.mtxGenInput,'Value',1)
    set(handles.matFileListbox,'Value',1)
end

function plotConfIntChk_Callback(hObject, eventdata, handles)
pltConf=get(hObject,'Value');
save('.previousValues.mat','pltConf','-append');
[ handles.inputsNeeded, handles.fromFileYN ] = getInputsNeeded( handles );

setVisibilitiesAndEnables;

guidata(hObject,handles)

function impConfCheckBox_Callback(hObject, eventdata, handles)
impPltConf=get(hObject,'Value');
save('.previousValues.mat','impPltConf','-append');

guidata(hObject,handles)

%%%%%%%%%%%%%%%%%%%%%%%%%%
%    OTHER  FUNCTIONS    %
%%%%%%%%%%%%%%%%%%%%%%%%%%

function t = getEntries(list,choices)
%Get the indices for the entries in list that appear in choices.
if ischar(choices)
    choices={choices};
end
t=zeros(1,length(choices));
for k=1:length(choices)
    for j=1:length(list)
        if strcmp(choices{k},list{j})
            t(k) = j;
            break;
        end
    end
end

function [flList, list] = moveOldToEndOfList(flList, list)
oldFiles=false(size(list));
for i=1:length(oldFiles)
    if strcmp(list{i}(1:min(3,end)),'Old')
        oldFiles(i)=true;
    end
end

flList=[flList(~oldFiles) flList(oldFiles)];
list=[list(~oldFiles); list(oldFiles)];

%%%%%%%%%%%%%%%%%%%%%%%%%%
%    EMPTY  FUNCTIONS    %
%%%%%%%%%%%%%%%%%%%%%%%%%%

function warningBox_CreateFcn(hObject, eventdata, handles)
% handles    empty - handles not created until after all CreateFcns called

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
