function [ Q ] = paperV2_Sample_bernoulli( Q, c )
%SAMPLE_BERNOULLI Returns the sampled matrix SQ.
%
%   SQ = Sample_bernoulli( Q, c ) returns the sampled matrix SQ where S is
%     defined via the bernoulli sampling algorithm. c is the expected
%     number of sampled rows.
%
%   SQ = Sample_bernoulli( 'info' ) will return data about this sampling
%     algorithm, including what what inputs it needs.

if nargin==1
    if strcmp(Q,'info');
        Q=struct;
        Q.plotName='Alg 3.3';
        Q.name='Bernoulli sampling (Alg 3.3, old_Alg 3)';
        Q.inputsNeeded.m=0;
        Q.inputsNeeded.n=0;
        Q.inputsNeeded.c=1;
        Q.inputsNeeded.mu=0;
        Q.inputsNeeded.delta=0;
        Q.inputsNeeded.li=0;
        Q.inputsNeeded.Q=1;
        Q.type='Sample';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=2
    error('Wrong number of inputs.')
end

m=size(Q,1);

Q = Q(rand(1,m)<c/m, :);

end
