function [ Q ] = paperV2_Sample_randperm( Q, c )
%SAMPLE_RANDPERM Returns the sampled matrix SQ.
%
%   SQ = Sample_randperm( Q, c ) returns the sampled matrix SQ where S is
%     defined via the random sampling without replacement algorithm.  c is
%     the number of sampled rows.
%
%   SQ = Sample_randperm( 'info' ) will return data about this sampling
%     algorithm, including what what inputs it needs.
if nargin==1
    if strcmp(Q,'info');
        Q=struct;
        Q.plotName='Alg 3.1';
        Q.name='Uniform sampling without replacement (Alg 3.1)';
        Q.inputsNeeded.m=0;
        Q.inputsNeeded.n=0;
        Q.inputsNeeded.c=1;
        Q.inputsNeeded.mu=0;
        Q.inputsNeeded.delta=0;
        Q.inputsNeeded.li=0;
        Q.inputsNeeded.Q=1;
        Q.type='Sample';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=2
    error('Wrong number of inputs.')
end
m=size(Q,1);
v=randperm(m);
Q=Q(v(1:c),:);
end

