function [ list ] = extensionRemover( list )
%EXTENSIONREMOVER inputs a cell list of strings of file names.  It then
%removes the extension from each file name by removing the final '.' and
%everything after it. This is an internal function only intended to be used
%by the kARiPlotter package.
%
%   list = coherence(list) inputs a cell of file names and returns a
%   cell of file names with their extensions removed.
%
%   Example Use:
%
%   listIn = {'file1.txt', 'file2.doc', 'file3'};
%
%   listOut = extensionRemover( listIn )
%
%   listOut = 
%
%       'file1'    'file2'    'file3'


for i=1:length(list)
    j=find(list{i}=='.',1,'last');
    if ~isempty(j)
        list{i}=list{i}(1:(j-1));
    end
end

end

